<template>
  <div class="command-panel">
    <button id="button_large" @click="addPressed">
      Add
    </button><br>
    <button id="button_large" @click="editPressed" :disabled="noneSelected">
      Edit
    </button>
  </div>
</template>

<script>
import store from '../../store/store.js'
import {mapMutations} from 'vuex'

export default {
  props: [
    'selectedSubject'
  ],
  data () {
    return {
    }
  },
  methods: {
    addPressed () {
      this.$emit('add-pressed');
    },
    editPressed () {
      this.$emit('edit-pressed');
    }
  },
  computed: {
    noneSelected() {
      return this.selectedSubject === null;
    }
  }
}
</script>

<style lang="scss">
div.command-panel {
  height: 70%;
  width: 10%;
  padding-left: 10%;
  float: left;

  button {
    margin-bottom: 3%;
  }
}
</style>